--- old/usr/src/lib/libdhcputil/common/dhcp_inittab.c	2014-02-16 09:52:04.001857540 +0000
+++ new/usr/src/lib/libdhcputil/common/dhcp_inittab.c	2014-02-16 09:52:04.014709224 +0000
@@ -41,6 +41,7 @@
 #include <libinetutil.h>
 #include <libdlpi.h>
 #include <netinet/dhcp6.h>
+#include <sys/ethernet.h>
 
 #include "dhcp_symbol.h"
 #include "dhcp_inittab.h"
@@ -507,7 +508,9 @@
 				}
 			}
 		} else {
-			if (dlpi_info(dh, &dlinfo, 0) != DLPI_SUCCESS) {
+			if (dlpi_bind(dh, ETHERTYPE_IPV6, NULL) !=
+			    DLPI_SUCCESS || dlpi_info(dh, &dlinfo, 0) !=
+			    DLPI_SUCCESS) {
 				dlpi_close(dh);
 				goto failed;
 			}
